VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2 Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2:
[legend]

## Public Member Functions

| PhysicalDeviceFeatures2 (PhysicalDeviceFeatures features_=PhysicalDeviceFeatures())
| PhysicalDeviceFeatures2 (VkPhysicalDeviceFeatures2 const &rhs)
PhysicalDeviceFeatures2 & | operator= (VkPhysicalDeviceFeatures2 const &rhs)
PhysicalDeviceFeatures2 & | setPNext (void *pNext_)
PhysicalDeviceFeatures2 & | setFeatures (PhysicalDeviceFeatures features_)
| operator VkPhysicalDeviceFeatures2 const & () const
| operator VkPhysicalDeviceFeatures2 & ()
bool | operator== (PhysicalDeviceFeatures2 const &rhs) const
bool | operator!= (PhysicalDeviceFeatures2 const &rhs) const

## Data Fields

void * | pNext = nullptr
PhysicalDeviceFeatures | features

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceFeatures2

## Detailed Description

Definition at line 13128 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceFeatures2() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::PhysicalDeviceFeatures2 | ( | PhysicalDeviceFeatures | features_ = `PhysicalDeviceFeatures()` | ) |

inline

Definition at line 13130 of file vulkan.hpp.

: features( features_ )
{
}

## PhysicalDeviceFeatures2() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::PhysicalDeviceFeatures2 | ( | VkPhysicalDeviceFeatures2 const & | rhs | ) |

inline

Definition at line 13135 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceFeatures2 ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceFeatures2 &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::operator VkPhysicalDeviceFeatures2 & | ( |  | ) |

inline

Definition at line 13162 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceFeatures2*>(this);
}

## operator VkPhysicalDeviceFeatures2 const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::operator VkPhysicalDeviceFeatures2 const & | ( |  | ) | const

inline

Definition at line 13157 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceFeatures2*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::operator!= | ( | PhysicalDeviceFeatures2 const & | rhs | ) | const

inline

Definition at line 13174 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceFeatures2& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::operator= | ( | VkPhysicalDeviceFeatures2 const & | rhs | ) |

inline

Definition at line 13140 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceFeatures2 ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::operator== | ( | PhysicalDeviceFeatures2 const & | rhs | ) | const

inline

Definition at line 13167 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( features == rhs.features );
}

References features, pNext, and sType.

Referenced by operator!=().

## setFeatures()

PhysicalDeviceFeatures2& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::setFeatures | ( | PhysicalDeviceFeatures | features_ | ) |

inline

Definition at line 13151 of file vulkan.hpp.

{
features = features_;
return *this;
}

References features.

## setPNext()

PhysicalDeviceFeatures2& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 13145 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## features

PhysicalDeviceFeatures VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::features

Definition at line 13184 of file vulkan.hpp.

Referenced by operator==(), and setFeatures().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::pNext = nullptr

Definition at line 13183 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::sType = StructureType::ePhysicalDeviceFeatures2

private

Definition at line 13180 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::PhysicalDeviceFeatures2
PhysicalDeviceFeatures2(PhysicalDeviceFeatures features_=PhysicalDeviceFeatures())
Definition: vulkan.hpp:13130
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::pNext
void * pNext
Definition: vulkan.hpp:13183
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::sType
StructureType sType
Definition: vulkan.hpp:13180
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::features
PhysicalDeviceFeatures features
Definition: vulkan.hpp:13184
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkPhysicalDeviceFeatures2
Definition: vulkan_core.h:4152
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures2::operator==
bool operator==(PhysicalDeviceFeatures2 const &rhs) const
Definition: vulkan.hpp:13167